Subject: Re: [PATCH] INET : removes per bucket rwlock in tcp/dccp ehash table

From: Andi Kleen <[email-masked]>
Date: Sun, 4 Nov 2007 13:26:38 +0100

> But I suspect distributions kernels enable CONFIG_HOTPLUG_CPU so 
> num_possible_cpus() will be NR_CPUS.

Nope, on x86 num_possible_cpus() is derived from BIOS tables these days.

-Andi